package com.algomagic.atn;

import java.util.*;

public class BatchGraphUpdate {

    private List _updates;

    public BatchGraphUpdate( List updates ) {
	_updates = updates;
    }

    public BatchGraphUpdate( ) {
	_updates = new ArrayList( );
    }

    public void add( ElementAttribute e ) {
	_updates.add( e );
    }

    public boolean isEmpty( ) {
	return _updates.isEmpty( );
    }


    public void apply( ) {
	for( Iterator i = _updates.iterator( ); i.hasNext( ); ) {
	    ElementAttribute e = (ElementAttribute)i.next( );
// 	    System.out.println( e );

	    e.apply( );
	} 

// 	System.out.println(  );
// 	System.out.println(  );


    }


    public void undo( ) {
	for( int i = _updates.size( )-1; i>=0; i-- ) {
	    ElementAttribute e = (ElementAttribute)_updates.get(i);
// 	    System.out.println( e );

	    e.undo( );
	} 

// 	System.out.println(  );
// 	System.out.println(  );

    }


}
